import _isNumber from "lodash/isNumber";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import TextInputWidget from './TextInputWidget';

const textParser = value => {
  const result = parseInt(value, 10);
  return _isNumber(result) ? result : null;
};

const IntegerWidget = props => React.createElement(TextInputWidget, _extends({}, props, {
  keyboardType: "number-pad",
  mask: "9999999999",
  textParser: textParser
}));

export default IntegerWidget;